Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 195317 - Unable to unlock gnome-screensaver for dialog theme "fedoralogo-floaters"
Summary: Unable to unlock gnome-screensaver for dialog theme "fedoralogo-floaters"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-screensaver
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-06-14 19:17 UTC by Joachim Frieben
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-21 03:40:58 UTC


Attachments (Terms of Use)
patch to make the .glade file meet the expectations of the gnome-screensaver code (deleted)
2006-07-07 15:31 UTC, Nalin Dahyabhai
no flags Details | Diff

Description Joachim Frieben 2006-06-14 19:17:20 UTC
Description of problem:
After locking the screen, entering the password does not allow to unlock
"gnome-screensaver" when unlock dialog theme "fedoralogo-floaters" is
chosen.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.15.3-1

How reproducible:
Always

Steps to Reproduce:
1. Choose unlock dialog theme "fedoralogo-floaters".
3. Lock "gnome-screensaver".
3. Hit a key and enter the password.
  
Actual results:
Dialog box disappears but screen remains locked.

Expected results:
Screen unlocks.

Additional info:
After resetting the unlock dialog theme to "default", it is again
possible to unlock the screen by entering the password.
Downgrading to "gnome-screensaver-2.15.2-5" also allows to recover
a fully working unlock dialog.
Finally, the following error message is issued at the console:

  (gnome-screensaver:5525): gnome-screensaver-WARNING **: Config
  key not handled: /apps/gnome-screensaver/lock_dialog_theme

Comment 1 jmccann 2006-06-19 20:37:59 UTC
There was a change in the dialog theme glade file that might be responsible.  To
support PAM properly the "auth-password-entry" widget was renamed to
"auth-prompt-entry".

Comment 2 Joachim Frieben 2006-06-21 11:01:11 UTC
No improvement for "gnome-screensaver-2.15.3-2".

Comment 3 Nalin Dahyabhai 2006-07-07 15:31:20 UTC
Created attachment 132060 [details]
patch to make the .glade file meet the expectations of the gnome-screensaver code

To make use of this patch, the manual extraction of %{SOURCE2} needs to be
removed from the %prep phase.  (The %setup macro is already being used to do
that anyway.)

Comment 4 Joachim Frieben 2006-08-20 15:04:40 UTC
Still broken in "gnome-screensaver-2.15.6-1.fc6".

Comment 5 Matthias Clasen 2006-08-21 03:40:58 UTC
should be fixed in fedora-logos-1.1.48-1.fc6


Note You need to log in before you can comment on or make changes to this bug.